#pragma once
#include "update-client/candidate_applications.hpp"

namespace bike_computer {
class MyCandidateApplications : public update_client::CandidateApplications {
public:
    MyCandidateApplications(
        BlockDevice &blockDevice,
        mbed::bd_addr_t storageAddr,
        mbed::bd_size_t storageSize,
        uint32_t headerSize,
        uint32_t nSlots
    );
	virtual uint32_t getSlotForCandidate() override;
};
}

update_client::CandidateApplications *createCandidateApplications(
    BlockDevice &blockDevice,
    mbed::bd_addr_t storageAddr,
    mbed::bd_size_t storageSize,
    uint32_t headerSize,
    uint32_t nSlots
);
